package com.ruoyi.jarvis.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.jarvis.mapper.XbMessageMapper;
import com.ruoyi.jarvis.domain.XbMessage;
import com.ruoyi.jarvis.service.IXbMessageService;

/**
 * 线报消息Service业务层处理
 *
 * @author ruoyi
 */
@Service
public class XbMessageServiceImpl implements IXbMessageService
{
    @Autowired
    private XbMessageMapper xbMessageMapper;

    /**
     * 查询线报消息
     *
     * @param id 线报消息主键
     * @return 线报消息
     */
    @Override
    public XbMessage selectXbMessageById(Integer id)
    {
        return xbMessageMapper.selectXbMessageById(id);
    }

    /**
     * 查询线报消息列表
     *
     * @param xbMessage 线报消息
     * @return 线报消息
     */
    @Override
    public List<XbMessage> selectXbMessageList(XbMessage xbMessage)
    {
        return xbMessageMapper.selectXbMessageList(xbMessage);
    }

    /**
     * 新增线报消息
     *
     * @param xbMessage 线报消息
     * @return 结果
     */
    @Override
    public int insertXbMessage(XbMessage xbMessage)
    {
        return xbMessageMapper.insertXbMessage(xbMessage);
    }

    /**
     * 修改线报消息
     *
     * @param xbMessage 线报消息
     * @return 结果
     */
    @Override
    public int updateXbMessage(XbMessage xbMessage)
    {
        return xbMessageMapper.updateXbMessage(xbMessage);
    }

    /**
     * 批量删除线报消息
     *
     * @param ids 需要删除的线报消息主键
     * @return 结果
     */
    @Override
    public int deleteXbMessageByIds(Integer[] ids)
    {
        return xbMessageMapper.deleteXbMessageByIds(ids);
    }

    /**
     * 删除线报消息信息
     *
     * @param id 线报消息主键
     * @return 结果
     */
    @Override
    public int deleteXbMessageById(Integer id)
    {
        return xbMessageMapper.deleteXbMessageById(id);
    }
}
